View Issue Details

IDProjectCategoryView StatusLast Update
15342Bug reports[All Projects] Survey editingpublic2019-10-14 13:57
ReporterJoffm Assigned Todominikvitt  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version4.0.0-RC3 
Target VersionFixed in Version4.0.0-RC4 
Summary15342: Field "language" missing in table "limesurvey_groups"
Description

When trying to "quick translate" I get the message

table "lime_groups" does not have a column named "language".

This is because this column now is in table "lime_group_l10ns"

Code in "create.database.php"
$oDB->createCommand()->createTable('{{groups}}', array(
'gid' => "pk",
'sid' => "integer NOT NULL default '0'",
'group_order' => "integer NOT NULL default '0'",
'randomization_group' => "string(20) NOT NULL default ''",
'grelevance' => "text NULL"
), $options);
$oDB->createCommand()->createIndex('{{idx1_groups}}', '{{groups}}', 'sid', false);

    $oDB->createCommand()->createTable('{{group_l10ns}}', array(
        'id' =>  "pk",
        'gid' =>  "integer NOT NULL",
        'group_name' =>  "text NOT NULL",
        'description' =>  "text",
        'language' =>  "string(20) NOT NULL"
    ), $options);
    $oDB->createCommand()->createIndex('{{idx1_group_ls}}', '{{group_l10ns}}', ['gid', 'language'], true);

And here is the script in the sql in folder "sql-old"
CREATE TABLE prefix_groups (
gid int(11) NOT NULL auto_increment,
sid int(11) NOT NULL default '0',
group_name varchar(100) NOT NULL default '',
group_order int(11) NOT NULL default '0',
description text,
language varchar(20) default 'en',
randomization_group varchar(20) NOT NULL default '',
grelevance text DEFAULT NULL,
PRIMARY KEY (gid,language)
) CHARACTER SET utf8mb4 ;

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.0.0-RC3+190807
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQl
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3

Activities

Joffm

Joffm

2019-09-29 12:25

reporter  

screenshot.2700.jpg (46,430 bytes)
screenshot.2700.jpg (46,430 bytes)
dominikvitt

dominikvitt

2019-10-09 14:02

developer   ~53971

Last edited: 2019-10-09 14:04

View 2 revisions

This issue is fixed.
The patch is available now on GitHub and would be available on next LimeSurvey release.

https://github.com/LimeSurvey/LimeSurvey/commit/17aa5e2794fb3293143658fc2045ecb44adf7b27
https://github.com/LimeSurvey/LimeSurvey/commit/d52ca2dc5ae582b206e0a3665ff9072ef09cbec3
https://github.com/LimeSurvey/LimeSurvey/commit/637ae1f11d4ae40fcef24c82df093b182daf3a68
https://github.com/LimeSurvey/LimeSurvey/commit/287cdbdb6bea7185883a835a57dfc73d35fc2cdc

ollehar

ollehar

2019-10-10 12:16

administrator   ~53980

I get " No columns are being updated for table "lime_groups". " when saving.

dominikvitt

dominikvitt

2019-10-10 17:08

developer   ~53991

Fixed.
https://github.com/LimeSurvey/LimeSurvey/commit/0dbaa32b257ba27329472ff2384863e0bc824e7e

lime_release_bot

lime_release_bot

2019-10-14 13:57

administrator   ~54033

Fixed in Release 4.0.0-RC5+191014

Issue History

Date Modified Username Field Change
2019-09-29 12:25 Joffm New Issue
2019-09-29 12:25 Joffm File Added: screenshot.2700.jpg
2019-10-07 16:08 dominikvitt Assigned To => dominikvitt
2019-10-07 16:08 dominikvitt Status new => assigned
2019-10-09 14:02 dominikvitt Status assigned => resolved
2019-10-09 14:02 dominikvitt Resolution open => fixed
2019-10-09 14:02 dominikvitt Fixed in Version => 4.0.0-RC4
2019-10-09 14:02 dominikvitt Note Added: 53971
2019-10-09 14:04 dominikvitt Note Edited: 53971 View Revisions
2019-10-10 12:16 ollehar Note Added: 53980
2019-10-10 17:08 dominikvitt Note Added: 53991
2019-10-14 13:57 lime_release_bot Note Added: 54033
2019-10-14 13:57 lime_release_bot Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing